Encelade Documentation

Public Projects

GET
/api/public/v1/projects
x-api-key<token>

In: header

Query Parameters

cursor?string

Pagination cursor from a previous response.

limit?integer

Maximum number of projects to return.

endUserEmail?string

Filter projects by the end-user email set during generation.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/public/v1/projects"
{
  "projects": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "pid": "string",
      "name": "string",
      "theme": "default",
      "artifactType": "deck",
      "brandingId": null,
      "pageLayersScrollable": true,
      "pageAspectRatio": "16:9",
      "pageGridEnabled": false,
      "pageGridType": "12-column",
      "pageNumbersEnabled": false,
      "footerText": null,
      "footerDate": null,
      "footerHideOnCover": true,
      "footerShowPageTotal": false,
      "footerFontSizePt": 12,
      "linkShareToken": "string",
      "linkAccess": "tenant",
      "linkRole": "owner",
      "publishSlug": null,
      "isPublished": false,
      "publishedAt": null,
      "ogImageUrl": null,
      "publishDescription": null,
      "showMadeWithEncelade": false,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "pinnedAt": null,
      "proposalExpiresAt": null,
      "proposalStatus": "draft",
      "firstPageId": "2f8ddfb6-97dc-4f88-8a30-be55455ab046",
      "members": [
        {
          "id": "string",
          "userId": "string",
          "name": "string",
          "email": "string",
          "avatar": "string",
          "role": {
            "id": "owner",
            "name": "string"
          }
        }
      ],
      "tags": []
    }
  ],
  "nextCursor": null,
  "hasMore": false
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
GET
/api/public/v1/projects/{pid}
x-api-key<token>

In: header

Path Parameters

pid*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/public/v1/projects/string"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "pid": "string",
  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
  "name": "string",
  "theme": "default",
  "artifactType": "deck",
  "themeDefinitionSnapshot": {
    "surface": "string",
    "panel": "string",
    "card": "string",
    "border": "string",
    "accent": "string",
    "accentMuted": "string",
    "text": "string",
    "mutedText": "string",
    "fontFamily": "string",
    "fontWeight": 1,
    "headingFontFamily": "string",
    "headingFontWeight": 1,
    "pageBackground": [],
    "layerBackground": {
      "type": "color",
      "value": "string",
      "tint": "string",
      "dissolveSettings": {
        "colors": [
          "#d91f26",
          "#0a0a0a"
        ],
        "angle": 90,
        "fade": 0.35,
        "noiseOpacity": 0.45,
        "noiseScale": 1.6,
        "gradient": "string"
      }
    },
    "layerBorder": {
      "radius": 0,
      "width": 0,
      "type": "color",
      "value": "string",
      "side": "all",
      "sideWidths": {
        "property1": 0,
        "property2": 0
      }
    },
    "layerShadow": "drop-shadow-none",
    "headerLayerBackground": {
      "type": "color",
      "value": "string",
      "tint": "string",
      "dissolveSettings": {
        "colors": [
          "#d91f26",
          "#0a0a0a"
        ],
        "angle": 90,
        "fade": 0.35,
        "noiseOpacity": 0.45,
        "noiseScale": 1.6,
        "gradient": "string"
      }
    },
    "headerLayerBorder": {
      "radius": 0,
      "width": 0,
      "type": "color",
      "value": "string",
      "side": "all",
      "sideWidths": {
        "property1": 0,
        "property2": 0
      }
    },
    "chartColors": [
      "string"
    ],
    "backgroundVariants": [
      {
        "id": "string",
        "name": "string",
        "layers": []
      }
    ],
    "contrast": {
      "surface": "string",
      "panel": "string",
      "card": "string",
      "border": "string",
      "accent": "string",
      "text": "string",
      "mutedText": "string",
      "pageBackground": []
    },
    "fonts": [
      {
        "id": "string",
        "label": "string",
        "family": "string",
        "url": "http://example.com",
        "mimeType": "string",
        "sizeBytes": 0,
        "assetId": "string",
        "storageKey": "string",
        "weight": 0,
        "style": "string"
      }
    ],
    "logo": {
      "url": "http://example.com",
      "assetId": "string",
      "widthPercent": 3,
      "position": "top-left",
      "contrast": {
        "url": "http://example.com",
        "assetId": "string"
      }
    },
    "footer": {
      "text": "string",
      "showPageNumbers": true,
      "hideOnCover": true,
      "showPageTotal": true,
      "fontSizePt": 8
    }
  },
  "brandingId": null,
  "pageLayersScrollable": true,
  "pageAspectRatio": "16:9",
  "pageGridEnabled": false,
  "pageGridType": "12-column",
  "pageNumbersEnabled": false,
  "footerText": null,
  "footerDate": null,
  "footerHideOnCover": true,
  "footerShowPageTotal": false,
  "footerFontSizePt": 12,
  "linkShareToken": "string",
  "linkAccess": "tenant",
  "linkRole": "owner",
  "publishSlug": null,
  "isPublished": false,
  "publishedAt": null,
  "ogImageUrl": null,
  "publishDescription": null,
  "showMadeWithEncelade": false,
  "sharePasswordSet": false,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "pinnedAt": null,
  "proposalExpiresAt": null,
  "proposalTrackViews": false,
  "backgroundPresets": [],
  "pages": [
    {
      "pageBackground": [],
      "presentModeAnimation": "none",
      "currentSelectedLayerId": null,
      "currentSelectedLayerType": null,
      "speakerNotes": "",
      "watermarkEnabled": false,
      "watermarkText": "",
      "watermarkShowOnAllPages": false,
      "layout": [],
      "isPageLayoutLocked": false,
      "hide": false,
      "contrast": false,
      "layerVisibilityDefaults": null,
      "showLayoutBounds": true,
      "fluidLayout": null,
      "narrativeBeat": "setup",
      "layoutId": "string",
      "transition": null,
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "position": 0
    }
  ],
  "members": [
    {
      "id": "string",
      "userId": "string",
      "name": "string",
      "email": "string",
      "avatar": "string",
      "role": {
        "id": "owner",
        "name": "string"
      }
    }
  ],
  "tags": []
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
PATCH
/api/public/v1/projects/{pid}
x-api-key<token>

In: header

Path Parameters

pid*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/public/v1/projects/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "pid": "string",
  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
  "name": "string",
  "theme": "default",
  "artifactType": "deck",
  "themeDefinitionSnapshot": {
    "surface": "string",
    "panel": "string",
    "card": "string",
    "border": "string",
    "accent": "string",
    "accentMuted": "string",
    "text": "string",
    "mutedText": "string",
    "fontFamily": "string",
    "fontWeight": 1,
    "headingFontFamily": "string",
    "headingFontWeight": 1,
    "pageBackground": [],
    "layerBackground": {
      "type": "color",
      "value": "string",
      "tint": "string",
      "dissolveSettings": {
        "colors": [
          "#d91f26",
          "#0a0a0a"
        ],
        "angle": 90,
        "fade": 0.35,
        "noiseOpacity": 0.45,
        "noiseScale": 1.6,
        "gradient": "string"
      }
    },
    "layerBorder": {
      "radius": 0,
      "width": 0,
      "type": "color",
      "value": "string",
      "side": "all",
      "sideWidths": {
        "property1": 0,
        "property2": 0
      }
    },
    "layerShadow": "drop-shadow-none",
    "headerLayerBackground": {
      "type": "color",
      "value": "string",
      "tint": "string",
      "dissolveSettings": {
        "colors": [
          "#d91f26",
          "#0a0a0a"
        ],
        "angle": 90,
        "fade": 0.35,
        "noiseOpacity": 0.45,
        "noiseScale": 1.6,
        "gradient": "string"
      }
    },
    "headerLayerBorder": {
      "radius": 0,
      "width": 0,
      "type": "color",
      "value": "string",
      "side": "all",
      "sideWidths": {
        "property1": 0,
        "property2": 0
      }
    },
    "chartColors": [
      "string"
    ],
    "backgroundVariants": [
      {
        "id": "string",
        "name": "string",
        "layers": []
      }
    ],
    "contrast": {
      "surface": "string",
      "panel": "string",
      "card": "string",
      "border": "string",
      "accent": "string",
      "text": "string",
      "mutedText": "string",
      "pageBackground": []
    },
    "fonts": [
      {
        "id": "string",
        "label": "string",
        "family": "string",
        "url": "http://example.com",
        "mimeType": "string",
        "sizeBytes": 0,
        "assetId": "string",
        "storageKey": "string",
        "weight": 0,
        "style": "string"
      }
    ],
    "logo": {
      "url": "http://example.com",
      "assetId": "string",
      "widthPercent": 3,
      "position": "top-left",
      "contrast": {
        "url": "http://example.com",
        "assetId": "string"
      }
    },
    "footer": {
      "text": "string",
      "showPageNumbers": true,
      "hideOnCover": true,
      "showPageTotal": true,
      "fontSizePt": 8
    }
  },
  "brandingId": null,
  "pageLayersScrollable": true,
  "pageAspectRatio": "16:9",
  "pageGridEnabled": false,
  "pageGridType": "12-column",
  "pageNumbersEnabled": false,
  "footerText": null,
  "footerDate": null,
  "footerHideOnCover": true,
  "footerShowPageTotal": false,
  "footerFontSizePt": 12,
  "linkShareToken": "string",
  "linkAccess": "tenant",
  "linkRole": "owner",
  "publishSlug": null,
  "isPublished": false,
  "publishedAt": null,
  "ogImageUrl": null,
  "publishDescription": null,
  "showMadeWithEncelade": false,
  "sharePasswordSet": false,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "pinnedAt": null,
  "proposalExpiresAt": null,
  "proposalTrackViews": false,
  "backgroundPresets": [],
  "pages": [
    {
      "pageBackground": [],
      "presentModeAnimation": "none",
      "currentSelectedLayerId": null,
      "currentSelectedLayerType": null,
      "speakerNotes": "",
      "watermarkEnabled": false,
      "watermarkText": "",
      "watermarkShowOnAllPages": false,
      "layout": [],
      "isPageLayoutLocked": false,
      "hide": false,
      "contrast": false,
      "layerVisibilityDefaults": null,
      "showLayoutBounds": true,
      "fluidLayout": null,
      "narrativeBeat": "setup",
      "layoutId": "string",
      "transition": null,
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "position": 0
    }
  ],
  "members": [
    {
      "id": "string",
      "userId": "string",
      "name": "string",
      "email": "string",
      "avatar": "string",
      "role": {
        "id": "owner",
        "name": "string"
      }
    }
  ],
  "tags": []
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "code": "PROPOSAL_PRICING_UNCONFIRMED"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
DELETE
/api/public/v1/projects/{pid}
x-api-key<token>

In: header

Path Parameters

pid*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/public/v1/projects/string"
Empty
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}